﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.WebEdition;
using ThinkGeo.MapSuite.Core;
using System.Configuration;

namespace WebApplication_AircraftBlink
{
    public partial class WebForm5 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                wfMap.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                wfMap.CurrentExtent = new RectangleShape(-10620313.58252, 4795964.90206, -10431514.12268, 4667244.94644);
                wfMap.MapUnit = GeographyUnit.Meter;

                wfMap.MapTools.OverlaySwitcher.Enabled = true;
                wfMap.MapTools.MouseCoordinate.Enabled = true;

                GoogleOverlay google = new GoogleOverlay("Google Map");
                google.JavaScriptLibraryUri = new Uri("http://maps.google.com/maps/api/js?key=AIzaSyDskGLEoHaXCkhmAGufEJKgUBbhwMb7O58");
                google.GoogleMapType = GoogleMapType.Normal;

                wfMap.CustomOverlays.Add(google);
            }
        }
    }
}